<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Autofac" Version="8.1.1" />
        <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="10.0.0" />
        <PackageReference Include="FluentValidation" Version="11.11.0" />
        <PackageReference Include="Insight.Database" Version="8.0.1" />
        <PackageReference Include="Insight.Database.Providers.PostgreSQL" Version="8.0.1" />
        <PackageReference Include="Microsoft.ApplicationInsights" Version="2.22.0" />
        <PackageReference Include="Microsoft.ApplicationInsights.WindowsServer.TelemetryChannel" Version="2.22.0" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc" Version="2.3.0" />
        <PackageReference Include="Microsoft.Extensions.Hosting.Abstractions" Version="9.0.1" />
        <PackageReference Include="npgsql" Version="9.0.2" />
        <PackageReference Include="Postmark" Version="5.3.0" />
        <PackageReference Include="Seq.Api" Version="2024.3.0" />
        <PackageReference Include="Sodium.Core" Version="1.3.5" />
    </ItemGroup>

    <ItemGroup>
        <Folder Include="Configurations\AzureAppConfigurationProvider\" />
        <Folder Include="Configurations\PostgresqlConfigurationBuilder\" />
    </ItemGroup>

</Project>
